public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/telegram-desktop/
Date: Wed, 22 Feb 2023 23:03:48 +0000 (UTC)	[thread overview]
Message-ID: <1677106620.19bd77e8f59cc673936cbf52bd1eb749ddc1269f.gyakovlev@gentoo> (raw)

commit:     19bd77e8f59cc673936cbf52bd1eb749ddc1269f
Author:     Esteve Varela Colominas <esteve.varela <AT> gmail <DOT> com>
AuthorDate: Thu Feb 16 15:42:57 2023 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Wed Feb 22 22:57:00 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19bd77e8

net-im/telegram-desktop: Bump to 4.6.3

Closes: https://bugs.gentoo.org/888637
Closes: https://bugs.gentoo.org/891755
Thanks-to: xiaoming <xiangluoming2015 <AT> outlook.com>
Thanks-to: Alexander Turenko <totktonada.ru <AT> gmail.com>
Thanks-to: Erik <esigra <AT> gmail.com>
Thanks-to: Egor <egorr.berd <AT> gmail.com>
Signed-off-by: Esteve Varela Colominas <esteve.varela <AT> gmail.com>
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 net-im/telegram-desktop/Manifest                   |   1 +
 net-im/telegram-desktop/metadata.xml               |   4 +-
 .../telegram-desktop/telegram-desktop-4.6.3.ebuild | 206 +++++++++++++++++++++
 3 files changed, 209 insertions(+), 2 deletions(-)

diff --git a/net-im/telegram-desktop/Manifest b/net-im/telegram-desktop/Manifest
index bd02883d4a69..2c0d19696f67 100644
--- a/net-im/telegram-desktop/Manifest
+++ b/net-im/telegram-desktop/Manifest
@@ -1,3 +1,4 @@
 DIST tdesktop-4.4.1-full.tar.gz 50077498 BLAKE2B 6196c474c0771197c56b386bbfd67e4a014569cb8bd9676990e323005f06cb6938aad0c0dd00fd74cab9fca1ac50c7bf7227f34aa39ae598b4f003199fa8cd00 SHA512 91038f0a615ef7ae1050cbfa614041a3d6a45fdbd26d120ef98cca3c31377612c3bb1e80f9aff58c4853a1726bf2cfb427f752a4f88a796f05b381516c981563
 DIST tdesktop-4.5.3-full.tar.gz 63718129 BLAKE2B 85492ad92ea2643dd5e74c831609a4f7be9671648d2b542c24f415dbb19b66521ccecb2a545eadfbf9fa7f934d35d32de085b5b8403dce54bed0b85c54ea98fe SHA512 58a9c5d096e236090347388e1ed480527f841045a80771079dc0c3e35e12ce8ac11753987e87bb57870d9bd8488fc6a4734114648ecec7823d8544744b06c6b1
 DIST tdesktop-4.6.2-full.tar.gz 63799003 BLAKE2B 828b75e13f00c50d26df276479500edd7604987d233b3caf433dc1d5611f0743ef6c9e25ccecd35581b809ca1986ffc3f01bcc0a10c7d05b1d8c9396edc026b1 SHA512 9a52cecb2ccde6e1381045b1c96730c63c5f19ca188a1be3bc905762f6e356906b7be141e8d373473390c21bc8b48ef7d5f4ee43bb09229a96b82c4fd974b531
+DIST tdesktop-4.6.3-full.tar.gz 63791674 BLAKE2B 291ed09dc96bb419c38d6c679c14ac5db1a361114c363ed4cfcbbab8e81927a75e87c5c8839bb348cf3395ff167e8e1eae9d6e499b4448e54e705b34ce997e59 SHA512 c01a1b57c71d8e3509664f8dfb8f7aa932e830732ea75211718150c8e4eafaf501f4271e5cb9e0c3348cd398091bc8236ff0cf79c0c6a45e5f897f9e3610566a

diff --git a/net-im/telegram-desktop/metadata.xml b/net-im/telegram-desktop/metadata.xml
index a87e97ea9955..059c51b94001 100644
--- a/net-im/telegram-desktop/metadata.xml
+++ b/net-im/telegram-desktop/metadata.xml
@@ -10,8 +10,8 @@
 		<name>Proxy Maintainers</name>
 	</maintainer>
 	<use>
-		<flag name="enchant">Enable the <pkg>app-text/aspell</pkg> spell-checking backend</flag>
-		<flag name="hunspell">Enable the <pkg>app-text/hunspell</pkg> spell-checking backend</flag>
+		<flag name="enchant">Use the <pkg>app-text/aspell</pkg> spell-checking backend instead of <pkg>app-text/hunspell</pkg></flag>
+		<flag name="hunspell">Enable the <pkg>app-text/hunspell</pkg> spell-checking backend (deprecated)</flag>
 		<flag name="fonts">Use builtin patched copy of open-sans fonts (overrides fontconfig)</flag>
 		<flag name="qt6">Build with Qt6 support</flag>
 		<flag name="qt6-imageformats">Add support for HEIF, AVIF and JpegXL by bundling kde-frameworks/kimageformats</flag>

diff --git a/net-im/telegram-desktop/telegram-desktop-4.6.3.ebuild b/net-im/telegram-desktop/telegram-desktop-4.6.3.ebuild
new file mode 100644
index 000000000000..cf71ac36b019
--- /dev/null
+++ b/net-im/telegram-desktop/telegram-desktop-4.6.3.ebuild
@@ -0,0 +1,206 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit xdg cmake python-any-r1 optfeature flag-o-matic
+
+DESCRIPTION="Official desktop client for Telegram"
+HOMEPAGE="https://desktop.telegram.org"
+
+MY_P="tdesktop-${PV}-full"
+SRC_URI="https://github.com/telegramdesktop/tdesktop/releases/download/v${PV}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD GPL-3-with-openssl-exception LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv"
+IUSE="+dbus enchant +fonts +jemalloc screencast qt6 qt6-imageformats wayland +X"
+REQUIRED_USE="
+	qt6-imageformats? ( qt6 )
+"
+
+KIMAGEFORMATS_RDEPEND="
+	media-libs/libavif:=
+	media-libs/libheif:=
+	media-libs/libjxl
+"
+RDEPEND="
+	!net-im/telegram-desktop-bin
+	app-arch/lz4:=
+	dev-cpp/abseil-cpp:=
+	dev-libs/glib:2
+	dev-libs/libdispatch
+	dev-libs/libsigc++:2
+	dev-libs/openssl:=
+	dev-libs/xxhash
+	media-libs/fontconfig:=
+	media-libs/libjpeg-turbo:=
+	~media-libs/libtgvoip-2.4.4_p20221208
+	media-libs/openal
+	media-libs/opus:=
+	media-libs/rnnoise
+	~media-libs/tg_owt-0_pre20230105:=[screencast=,X=]
+	media-video/ffmpeg:=[opus,vpx]
+	sys-libs/zlib:=[minizip]
+	virtual/opengl
+	dbus? ( dev-cpp/glibmm:2.68 )
+	!enchant? ( >=app-text/hunspell-1.7:= )
+	enchant? ( app-text/enchant:= )
+	jemalloc? ( dev-libs/jemalloc:=[-lazy-lock] )
+	!qt6? (
+		>=dev-qt/qtcore-5.15:5
+		>=dev-qt/qtgui-5.15:5[dbus?,jpeg,png,wayland?,X?]
+		>=dev-qt/qtimageformats-5.15:5
+		>=dev-qt/qtnetwork-5.15:5[ssl]
+		>=dev-qt/qtsvg-5.15:5
+		>=dev-qt/qtwidgets-5.15:5[png,X?]
+		kde-frameworks/kcoreaddons:=
+	)
+	qt6? (
+		dev-qt/qt5compat:6
+		dev-qt/qtbase:6[dbus?,gui,network,opengl,widgets,X?]
+		dev-qt/qtimageformats:6
+		dev-qt/qtsvg:6
+		wayland? ( dev-qt/qtwayland:6 )
+		qt6-imageformats? ( ${KIMAGEFORMATS_RDEPEND} )
+	)
+	X? (
+		x11-libs/libxcb:=
+		x11-libs/xcb-util-keysyms
+	)
+"
+DEPEND="${RDEPEND}
+	dev-cpp/range-v3
+	>=dev-cpp/ms-gsl-4
+"
+BDEPEND="
+	${PYTHON_DEPS}
+	>=dev-util/cmake-3.16
+	virtual/pkgconfig
+"
+# dev-libs/jemalloc:=[-lazy-lock] -> https://bugs.gentoo.org/803233
+
+PATCHES=(
+	"${FILESDIR}/tdesktop-4.2.4-jemalloc-only-telegram.patch"
+	"${FILESDIR}/tdesktop-4.4.1-fix-dupe-main-decl.patch"
+)
+
+# Current desktop-file-utils-0.26 does not understand Version=1.5
+QA_DESKTOP_FILE="usr/share/applications/${PN}.desktop"
+
+pkg_pretend() {
+	if has ccache ${FEATURES}; then
+		ewarn "ccache does not work with ${PN} out of the box"
+		ewarn "due to usage of precompiled headers"
+		ewarn "check bug https://bugs.gentoo.org/715114 for more info"
+		ewarn
+	fi
+}
+
+src_prepare() {
+	# Bundle kde-frameworks/kimageformats for qt6, since it's impossible to
+	#   build in gentoo right now.
+	if use qt6-imageformats; then
+		sed -e 's/DESKTOP_APP_USE_PACKAGED_LAZY/TRUE/' -i \
+			cmake/external/kimageformats/CMakeLists.txt || die
+		printf "%s\n" \
+			'Q_IMPORT_PLUGIN(QAVIFPlugin)' \
+			'Q_IMPORT_PLUGIN(HEIFPlugin)' \
+			'Q_IMPORT_PLUGIN(QJpegXLPlugin)' \
+			>> cmake/external/qt/qt_static_plugins/qt_static_plugins.cpp || die
+	fi
+
+	# kde-frameworks/kcoreaddons is bundled when using qt6, see:
+	#   cmake/external/kcoreaddons/CMakeLists.txt
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	# The ABI of media-libs/tg_owt breaks if the -DNDEBUG flag doesn't keep
+	# the same state across both projects.
+	# See https://bugs.gentoo.org/866055
+	append-cppflags '-DNDEBUG'
+
+	local mycmakeargs=(
+		-DCMAKE_DISABLE_FIND_PACKAGE_tl-expected=ON  # header only lib, some git version. prevents warnings.
+		-DQT_VERSION_MAJOR=$(usex qt6 6 5)
+
+		-DDESKTOP_APP_DISABLE_DBUS_INTEGRATION=$(usex !dbus)
+		-DDESKTOP_APP_DISABLE_X11_INTEGRATION=$(usex !X)
+		-DDESKTOP_APP_DISABLE_WAYLAND_INTEGRATION=$(usex !wayland)
+		-DDESKTOP_APP_DISABLE_JEMALLOC=$(usex !jemalloc)
+		-DDESKTOP_APP_USE_ENCHANT=$(usex enchant)  # enables enchant and disables hunspell
+		-DDESKTOP_APP_USE_PACKAGED_FONTS=$(usex !fonts)  # use system fonts instead of bundled ones
+	)
+
+	if [[ -n ${MY_TDESKTOP_API_ID} && -n ${MY_TDESKTOP_API_HASH} ]]; then
+		einfo "Found custom API credentials"
+		mycmakeargs+=(
+			-DTDESKTOP_API_ID="${MY_TDESKTOP_API_ID}"
+			-DTDESKTOP_API_HASH="${MY_TDESKTOP_API_HASH}"
+		)
+	else
+		# https://github.com/telegramdesktop/tdesktop/blob/dev/snap/snapcraft.yaml
+		# Building with snapcraft API credentials by default
+		# Custom API credentials can be obtained here:
+		# https://github.com/telegramdesktop/tdesktop/blob/dev/docs/api_credentials.md
+		# After getting credentials you can export variables:
+		#  export MY_TDESKTOP_API_ID="17349""
+		#  export MY_TDESKTOP_API_HASH="344583e45741c457fe1862106095a5eb"
+		# and restart the build"
+		# you can set above variables (without export) in /etc/portage/env/net-im/telegram-desktop
+		# portage will use custom variable every build automatically
+		mycmakeargs+=(
+			-DTDESKTOP_API_ID="611335"
+			-DTDESKTOP_API_HASH="d524b414d21f4d37f08684c1df41ac9c"
+		)
+	fi
+
+	cmake_src_configure
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	if ! use X && ! use screencast; then
+		ewarn "both the 'X' and 'screencast' USE flags are disabled, screen sharing won't work!"
+		ewarn
+	fi
+	if has_version '<dev-qt/qtcore-5.15.2-r10'; then
+		ewarn "Versions of dev-qt/qtcore lower than 5.15.2-r10 might cause telegram"
+		ewarn "to crash when pasting big images from the clipboard."
+		ewarn
+	fi
+	if ! use jemalloc && use elibc_glibc; then
+		# https://github.com/telegramdesktop/tdesktop/issues/16084
+		# https://github.com/desktop-app/cmake_helpers/pull/91#issuecomment-881788003
+		ewarn "Disabling USE=jemalloc on glibc systems may cause very high RAM usage!"
+		ewarn "Do NOT report issues about RAM usage without enabling this flag first."
+		ewarn
+	fi
+	if use qt6; then
+		ewarn "Qt6 support in gentoo is experimental."
+		ewarn "Please report any issues you may find, but don't expect"
+		ewarn "everything to work correctly as of yet."
+		ewarn
+	fi
+	if use wayland && ! use qt6; then
+		ewarn "Wayland-specific integrations have been deprecated with Qt5."
+		ewarn "The app will continue to function under wayland, but some"
+		ewarn "functionality may be reduced."
+		ewarn "These integrations are only supported when built with Qt6."
+		ewarn
+	fi
+	if use qt6 && ! use qt6-imageformats; then
+		elog "Enable USE=qt6-imageformats for AVIF, HEIF and JpegXL support"
+		elog
+	fi
+	optfeature_header
+	optfeature "shop payment support (requires USE=dbus enabled)" net-libs/webkit-gtk:4
+	if ! use qt6; then
+		optfeature "AVIF, HEIF and JpegXL image support" kde-frameworks/kimageformats[avif,heif,jpegxl]
+	fi
+}


             reply	other threads:[~2023-02-22 23:03 UTC|newest]

Thread overview: 225+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-22 23:03 Georgy Yakovlev [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-27 11:03 [gentoo-commits] repo/gentoo:master commit in: net-im/telegram-desktop/ Sam James
2025-03-19 22:01 Yixun Lan
2025-03-19  6:40 Yixun Lan
2025-03-13 11:08 Yixun Lan
2025-03-12 12:01 Yixun Lan
2025-02-20 17:17 Sam James
2025-02-03 23:39 Yixun Lan
2025-01-07 19:52 Sam James
2025-01-06  2:05 Yixun Lan
2025-01-03 17:22 Sam James
2025-01-03  1:17 Yixun Lan
2024-12-11  6:58 WANG Xuerui
2024-12-11  6:58 WANG Xuerui
2024-12-10  8:02 Yixun Lan
2024-12-10  8:02 Yixun Lan
2024-11-30  2:08 Yixun Lan
2024-11-02 10:35 Yixun Lan
2024-11-02  8:30 WANG Xuerui
2024-10-23 10:49 Yixun Lan
2024-10-17  0:30 Yixun Lan
2024-10-11  0:18 Yixun Lan
2024-10-11  0:07 Yixun Lan
2024-10-07  8:31 Yixun Lan
2024-09-18  7:54 Yixun Lan
2024-09-11 15:29 Yixun Lan
2024-09-11 15:01 Arthur Zamarin
2024-09-07 23:36 Yixun Lan
2024-09-04  2:32 Yixun Lan
2024-07-06 12:17 Yixun Lan
2024-07-05 21:15 Jakov Smolić
2024-06-13  7:00 Yixun Lan
2024-05-30  0:22 Yixun Lan
2024-05-14  2:08 Yixun Lan
2024-05-14  2:08 Yixun Lan
2024-05-04  9:19 Yixun Lan
2024-05-04  9:19 Yixun Lan
2024-04-16 22:38 Yixun Lan
2024-04-16 22:38 Yixun Lan
2024-04-10 23:34 Yixun Lan
2024-04-08 23:17 Yixun Lan
2024-04-08 23:13 Yixun Lan
2024-04-08 23:13 Yixun Lan
2024-04-06 12:53 Yixun Lan
2024-03-14  2:38 Yixun Lan
2024-03-14  2:38 Yixun Lan
2024-03-14  2:38 Yixun Lan
2024-03-05 23:38 Yixun Lan
2024-03-05 23:38 Yixun Lan
2024-03-03 22:12 Sam James
2024-02-25  4:27 Yixun Lan
2024-02-25  4:27 Yixun Lan
2024-02-12  6:33 Yixun Lan
2024-02-12  6:33 Yixun Lan
2024-01-31  9:04 Yixun Lan
2024-01-24  8:35 Michał Górny
2024-01-20  0:02 Yixun Lan
2024-01-20  0:02 Yixun Lan
2024-01-15  3:32 Ionen Wolkens
2024-01-14 20:43 Sam James
2024-01-02 12:03 Yixun Lan
2024-01-02  6:06 WANG Xuerui
2023-12-28 13:58 Yixun Lan
2023-12-11 13:25 Yixun Lan
2023-12-11 13:25 Yixun Lan
2023-11-14 11:16 Yixun Lan
2023-11-11  0:18 Yixun Lan
2023-11-07  8:41 Yixun Lan
2023-11-04 23:01 Yixun Lan
2023-10-31  1:07 Yixun Lan
2023-10-19 21:15 Yixun Lan
2023-10-10 21:41 Yixun Lan
2023-10-07 23:10 Yixun Lan
2023-10-07 22:26 Ionen Wolkens
2023-07-15 16:25 Sam James
2023-06-11  0:03 Yixun Lan
2023-05-18  7:12 Joonas Niilola
2023-05-16 17:07 Sam James
2023-05-07  7:22 Sam James
2023-05-07  7:22 Sam James
2023-04-28  8:20 Joonas Niilola
2023-04-17 20:16 Georgy Yakovlev
2023-03-30 17:57 Arthur Zamarin
2023-03-15  5:05 Sam James
2023-03-15  5:05 Sam James
2023-02-01 19:27 Andreas Sturmlechner
2023-01-22 23:36 Georgy Yakovlev
2023-01-21 16:53 Sam James
2022-12-08 20:03 Georgy Yakovlev
2022-12-08 20:03 Georgy Yakovlev
2022-12-08 20:03 Georgy Yakovlev
2022-12-02 22:49 Georgy Yakovlev
2022-12-02 22:49 Georgy Yakovlev
2022-11-29 14:59 Georgy Yakovlev
2022-11-24  8:10 Joonas Niilola
2022-11-22 13:55 Joonas Niilola
2022-11-22 13:55 Joonas Niilola
2022-11-22 13:55 Joonas Niilola
2022-09-20 15:29 Matt Turner
2022-09-01  6:27 Joonas Niilola
2022-09-01  6:27 Joonas Niilola
2022-08-02 22:07 Georgy Yakovlev
2022-08-02 22:07 Georgy Yakovlev
2022-07-20  5:15 Sam James
2022-06-27  0:25 Ionen Wolkens
2022-04-26 21:49 Sam James
2022-03-20 20:40 Arthur Zamarin
2022-03-20 18:55 Arthur Zamarin
2022-02-28 10:08 Jakov Smolić
2022-02-16 19:43 Georgy Yakovlev
2022-02-07  6:37 Sam James
2022-02-07  6:32 Sam James
2022-01-10  8:38 Agostino Sarubbo
2022-01-07 17:01 Georgy Yakovlev
2022-01-06 23:47 Georgy Yakovlev
2022-01-06 23:47 Georgy Yakovlev
2022-01-06 23:47 Georgy Yakovlev
2021-12-10 21:31 Georgy Yakovlev
2021-11-16 10:08 Jakov Smolić
2021-11-16  4:34 Georgy Yakovlev
2021-11-16  4:34 Georgy Yakovlev
2021-11-16  4:34 Georgy Yakovlev
2021-11-05  1:48 Georgy Yakovlev
2021-11-01 20:34 Georgy Yakovlev
2021-10-14 13:39 Agostino Sarubbo
2021-10-13 16:34 Georgy Yakovlev
2021-10-10 18:57 Georgy Yakovlev
2021-09-24 17:33 Georgy Yakovlev
2021-09-12 23:00 Sam James
2021-09-05  2:18 Georgy Yakovlev
2021-09-01 16:32 Georgy Yakovlev
2021-08-12 17:56 Georgy Yakovlev
2021-08-12 17:56 Georgy Yakovlev
2021-08-04  8:54 Georgy Yakovlev
2021-08-04  8:31 Georgy Yakovlev
2021-08-04  8:31 Georgy Yakovlev
2021-08-04  8:31 Georgy Yakovlev
2021-08-04  6:39 Agostino Sarubbo
2021-07-17  0:06 Georgy Yakovlev
2021-06-28  8:38 Georgy Yakovlev
2021-06-28  8:38 Georgy Yakovlev
2021-06-12  1:18 Sam James
2021-06-04 18:45 Georgy Yakovlev
2021-05-01 18:07 Sam James
2021-04-22 12:08 Sam James
2021-03-26 21:30 Georgy Yakovlev
2021-03-26  0:04 Sam James
2021-03-25 19:31 Georgy Yakovlev
2021-02-28 20:26 Georgy Yakovlev
2020-11-24  5:53 Georgy Yakovlev
2020-11-10 21:20 Georgy Yakovlev
2020-11-10 21:20 Georgy Yakovlev
2020-11-10 21:20 Georgy Yakovlev
2020-11-10 21:20 Georgy Yakovlev
2020-11-05 17:54 Georgy Yakovlev
2020-11-03  9:07 Georgy Yakovlev
2020-11-03  9:07 Georgy Yakovlev
2020-11-03  6:27 Georgy Yakovlev
2020-11-03  6:09 Georgy Yakovlev
2020-11-02 19:14 Georgy Yakovlev
2020-11-02 19:14 Georgy Yakovlev
2020-11-01  5:30 Sam James
2020-10-31 21:35 Georgy Yakovlev
2020-10-31 21:30 Georgy Yakovlev
2020-10-31 21:25 Georgy Yakovlev
2020-10-31  0:40 Georgy Yakovlev
2020-10-29  8:38 Georgy Yakovlev
2020-10-29  7:58 Georgy Yakovlev
2020-10-29  7:58 Georgy Yakovlev
2020-10-27  8:17 Georgy Yakovlev
2020-10-27  0:02 Georgy Yakovlev
2020-10-26 21:13 Georgy Yakovlev
2020-10-26  8:03 Georgy Yakovlev
2020-07-27  2:46 Georgy Yakovlev
2020-07-26 20:18 Georgy Yakovlev
2020-07-25  0:16 Georgy Yakovlev
2020-07-17 15:05 Agostino Sarubbo
2020-07-08 21:48 Georgy Yakovlev
2020-07-08 21:48 Georgy Yakovlev
2020-07-02 22:02 Georgy Yakovlev
2020-07-01 17:02 Georgy Yakovlev
2020-06-28  1:29 Georgy Yakovlev
2020-06-18  7:04 Georgy Yakovlev
2020-06-14 20:30 Georgy Yakovlev
2020-06-14 20:30 Georgy Yakovlev
2020-06-14 20:30 Georgy Yakovlev
2020-06-08 17:49 Georgy Yakovlev
2020-06-05 22:07 Georgy Yakovlev
2020-06-05  9:25 Georgy Yakovlev
2020-06-04  1:56 Georgy Yakovlev
2020-06-04  1:56 Georgy Yakovlev
2020-05-28  6:14 Georgy Yakovlev
2020-05-25  7:04 Georgy Yakovlev
2020-05-25  7:04 Georgy Yakovlev
2020-05-14 16:52 Georgy Yakovlev
2020-05-14 13:22 Agostino Sarubbo
2020-05-14  4:23 Georgy Yakovlev
2020-05-09 20:45 Georgy Yakovlev
2020-05-09  5:12 Georgy Yakovlev
2020-05-05 21:13 Georgy Yakovlev
2020-05-02  0:43 Georgy Yakovlev
2020-04-21  8:52 Agostino Sarubbo
2020-04-20 17:59 Georgy Yakovlev
2020-04-20 17:59 Georgy Yakovlev
2020-03-31 12:51 Georgy Yakovlev
2020-03-28  0:56 Georgy Yakovlev
2020-03-14  4:19 Georgy Yakovlev
2020-03-14  4:19 Georgy Yakovlev
2020-02-24  7:29 Georgy Yakovlev
2020-02-24  7:29 Georgy Yakovlev
2020-02-22  7:26 Georgy Yakovlev
2020-02-19  7:59 Georgy Yakovlev
2020-02-14  7:31 Georgy Yakovlev
2020-02-12 22:42 Georgy Yakovlev
2020-02-12 10:47 Georgy Yakovlev
2020-02-12 10:47 Georgy Yakovlev
2020-02-12  5:25 Georgy Yakovlev
2020-02-11 19:02 Georgy Yakovlev
2020-02-10  2:13 Georgy Yakovlev
2020-02-09 23:15 Georgy Yakovlev
2020-02-07  8:10 Georgy Yakovlev
2020-02-02 19:35 Mart Raudsepp
2020-01-28 22:40 Georgy Yakovlev
2020-01-26  6:41 Georgy Yakovlev
2020-01-25 17:56 Stefan Strogin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1677106620.19bd77e8f59cc673936cbf52bd1eb749ddc1269f.gyakovlev@gentoo \
    --to=gyakovlev@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox